package kr.co.vividnext.sodalive.user

import kr.co.vividnext.sodalive.settings.notification.UpdateNotificationSettingRequest
import kr.co.vividnext.sodalive.user.find_password.ForgotPasswordRequest
import kr.co.vividnext.sodalive.user.login.LoginRequest
import okhttp3.MultipartBody
import okhttp3.RequestBody

class UserRepository(private val userApi: UserApi) {
    fun login(request: LoginRequest) = userApi.login(request)

    fun signUp(profileImage: MultipartBody.Part?, request: RequestBody) = userApi.signUp(
        profileImage,
        request
    )

    fun findPassword(request: ForgotPasswordRequest) = userApi.findPassword(request = request)

    fun updateNotificationSettings(
        request: UpdateNotificationSettingRequest,
        token: String
    ) = userApi.updateNotificationSettings(request, authHeader = token)

    fun getMemberInfo(token: String) = userApi.getMemberInfo(authHeader = token)
}
